Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class OpenMBeanOperationInfoSupport

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanOperationInfo
              javax.management.openmbean.OpenMBeanOperationInfoSupport

All Implemented Interfaces:
  Cloneable, OpenMBeanOperationInfo, Serializable

public class OpenMBeanOperationInfoSupport
extends MBeanOperationInfo
implements OpenMBeanOperationInfo, Serializable

OpenMBeanOperationInfo implementation

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanOperationInfo
`ACTION, ACTION_INFO, INFO, UNKNOWN`

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`OpenMBeanOperationInfoSupport(String name, String description, OpenMBeanParameterInfo[] signature, OpenType returnOpenType, int impact)` Contruct an OpenMBeanOperationInfoSupport

Method Summary
`boolean` | `equals(Object obj)` Compares an object for equality with the implementing class.
`OpenType` | `getReturnOpenType()` Retrieves the open type return type of operation.
`int` | `hashCode()` Generates a hashcode for the implementation.
`String` | `toString()` A string representation of the open mbean operation info.

Methods inherited from class javax.management.MBeanOperationInfo
`clone, getImpact, getReturnType, getSignature`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.openmbean.OpenMBeanOperationInfo
`getDescription, getImpact, getName, getReturnType, getSignature`

Constructor Detail

### OpenMBeanOperationInfoSupport

    public OpenMBeanOperationInfoSupport(String name,
                                         String description,
                                         OpenMBeanParameterInfo[] signature,
                                         OpenType returnOpenType,
                                         int impact)

  Contruct an OpenMBeanOperationInfoSupport

Parameters:
  `name` - cannot be null or empty
  `description` - cannot be null or empty
  `signature` - the parameters of the operation
  `returnOpenType` - the open type of the return value
  `impact` - the impact of the operation
Throws:
  `IllegalArgumentException` - when one of the above constraints is not satisfied

Method Detail

### getReturnOpenType

    public OpenType getReturnOpenType()

  Description copied from interface: `OpenMBeanOperationInfo`
  Retrieves the open type return type of operation.

  Specified by:
    `getReturnOpenType` in interface `OpenMBeanOperationInfo`
  Returns:
    the open type of the return type.

### equals

    public boolean equals(Object obj)

  Description copied from interface: `OpenMBeanOperationInfo`
  Compares an object for equality with the implementing class.

  The object is not null
  The object implements the open mbean operation info interface
  The operation names are equal
  The signatures are equal
  The return types are equal
  The impacts are equal

  Specified by:
    `equals` in interface `OpenMBeanOperationInfo`
  Overrides:
    `equals` in class `MBeanOperationInfo`

### hashCode

    public int hashCode()

  Description copied from interface: `OpenMBeanOperationInfo`
  Generates a hashcode for the implementation.

  The sum of the hashCodes for the elements mentioned in the equals method

  Specified by:
    `hashCode` in interface `OpenMBeanOperationInfo`
  Overrides:
    `hashCode` in class `MBeanOperationInfo`

### toString

    public String toString()

  Description copied from interface: `OpenMBeanOperationInfo`
  A string representation of the open mbean operation info.

  It is made up of implementation class and the values mentioned in the equals method

  Specified by:
    `toString` in interface `OpenMBeanOperationInfo`
  Overrides:
    `toString` in class `MBeanOperationInfo`
  Returns:
    a human readable string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.